<?php

/**
 * Utility functions.
 *
 * @author kerstin.gerull
 * @package TYPO3
 * @subpackage form4_tags
 */
class Tx_Form4Tags_Utils {

	static function sortByTermAscending($termArrayA, $termArrayB, $from='naturalSortableTerm', $to='naturalSortableTerm') {
		$result = strnatcasecmp($termArrayA['naturalSortableTerm'], $termArrayB['naturalSortableTerm']);
		return $result;
	}

	static function getNaturalSortableString($termArray, $from='term', $to='naturalSortableTerm') {
		$termArray[$to] = strtolower( preg_replace(
			'/&([a-z]{1,2})(acute|cedil|circ|grave|lig|orn|ring|slash|tilde|uml);/i',
			'$1',
			htmlentities($termArray[$from], ENT_QUOTES, 'UTF-8')
		));
		return $termArray;
	}
}

?>