<?php
if (!defined('TYPO3_MODE')) {
	die ('Access denied.');
}

# =========================================================================== #
# PLUGINS
# =========================================================================== #

Tx_Extbase_Utility_Extension::registerPlugin(
	$_EXTKEY,
	'Tagcloud',
	'Tag Cloud'
);

$pluginSignature = str_replace('_','',$_EXTKEY) . '_' . tagcloud;
$TCA['tt_content']['types']['list']['subtypes_addlist'][$pluginSignature] = 'pi_flexform';
t3lib_extMgm::addPiFlexFormValue($pluginSignature, 'FILE:EXT:' . $_EXTKEY . '/Configuration/FlexForms/flexform_' .tagcloud. '.xml');


Tx_Extbase_Utility_Extension::registerPlugin(
	$_EXTKEY,
	'Tagcloudteaser',
	'Tag Cloud Teaser'
);

$pluginSignature = str_replace('_','',$_EXTKEY) . '_' . tagcloudteaser;
$TCA['tt_content']['types']['list']['subtypes_addlist'][$pluginSignature] = 'pi_flexform';
t3lib_extMgm::addPiFlexFormValue($pluginSignature, 'FILE:EXT:' . $_EXTKEY . '/Configuration/FlexForms/flexform_' .tagcloudteaser. '.xml');



Tx_Extbase_Utility_Extension::registerPlugin(
	$_EXTKEY,
	'Similartopics',
	'Similar Topics'
);

$pluginSignature = str_replace('_','',$_EXTKEY) . '_' . similartopics;
$TCA['tt_content']['types']['list']['subtypes_addlist'][$pluginSignature] = 'pi_flexform';
t3lib_extMgm::addPiFlexFormValue($pluginSignature, 'FILE:EXT:' . $_EXTKEY . '/Configuration/FlexForms/flexform_' .similartopics. '.xml');




# =========================================================================== #
# STATIC FILE
# =========================================================================== #

t3lib_extMgm::addStaticFile($_EXTKEY, 'Configuration/TypoScript', 'Tags');

# =========================================================================== #
# ENTITY: TAG
# =========================================================================== #

t3lib_extMgm::addLLrefForTCAdescr('tx_form4tags_domain_model_tag', 'EXT:form4_tags/Resources/Private/Language/locallang_csh_tx_form4tags_domain_model_tag.xml');
t3lib_extMgm::allowTableOnStandardPages('tx_form4tags_domain_model_tag');
$TCA['tx_form4tags_domain_model_tag'] = array(
	'ctrl' => array(
		'groupName' => 'Tags',
		'searchFields' => 'title',
		'title'	=> 'LLL:EXT:form4_tags/Resources/Private/Language/locallang_db.xml:tx_form4tags_domain_model_tag',
		'label' => 'title',
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'dividers2tabs' => TRUE,
		'versioningWS' => 2,
		'versioning_followPages' => TRUE,
		'origUid' => 't3_origuid',
		'languageField' => 'sys_language_uid',
		'transOrigPointerField' => 'l10n_parent',
		'transOrigDiffSourceField' => 'l10n_diffsource',
		'delete' => 'deleted',
		'enablecolumns' => array(
			'disabled' => 'hidden',
			'starttime' => 'starttime',
			'endtime' => 'endtime',
		),
		'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY) . 'Configuration/TCA/Tag.php',
		'iconfile' => t3lib_extMgm::extRelPath($_EXTKEY) . 'Resources/Public/Icons/tx_form4tags_domain_model_tag.gif'
	),
);

# =========================================================================== #
# EXTENDS TABLE: pages
# =========================================================================== #
require_once t3lib_extMgm::extPath($_EXTKEY) . 'Configuration/TCA/Pages.php';
?>